Package org.zkoss.stateless.sul

## Enum ISplitlayout.Collapse

- java.lang.Object
- - java.lang.Enum<ISplitlayout.Collapse>
  - - org.zkoss.stateless.sul.ISplitlayout.Collapse

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ISplitlayout.Collapse>`
  Enclosing interface:
    ISplitlayout<I extends IAnyGroup>

      public static enum ISplitlayout.Collapse
      extends java.lang.Enum<ISplitlayout.Collapse>

  Specifies the collapse of `ISplitlayout` component

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `after` | When the grippy is clicked, the element immediately after the splitter in the same parent is collapsed so that its width or height is 0
    `before` | When the grippy is clicked, the element immediately before the splitter in the same parent is collapsed so that its width or height is 0
    `none` | No collapsing occurs

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ISplitlayout.Collapse` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ISplitlayout.Collapse[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final ISplitlayout.Collapse none

      No collapsing occurs

    - #### before

          public static final ISplitlayout.Collapse before

      When the grippy is clicked, the element immediately before the splitter in the same parent is collapsed so that its width or height is 0

    - #### after

          public static final ISplitlayout.Collapse after

      When the grippy is clicked, the element immediately after the splitter in the same parent is collapsed so that its width or height is 0

  - ### Method Detail

    - #### values

          public static ISplitlayout.Collapse[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ISplitlayout.Collapse c : ISplitlayout.Collapse.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ISplitlayout.Collapse valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null